Bug 4489 - error in postun script
: error in postun script
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libwine)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-06-24 17:38 by
Modified: 2005-07-13 15:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-06-24 17:38:27
apt> remove libwine-*
Выбрано libwine.so.1 для 'libwine-*'
Выбрано libwine для 'libwine.so.1'
Выбрано libwine_unicode.so.1 для 'libwine-*'
Выбрано libwine для 'libwine_unicode.so.1'
Выбрано libwine-devel для 'libwine-*'
Выбрано libwine-twain для 'libwine-*'
Выбрано libwine-arts для 'libwine-*'
Выбрано libwine для 'libwine-*'
Выбрано libwine_unicode.so.1(WINE_1.0) для 'libwine-*'
Выбрано libwine для 'libwine_unicode.so.1(WINE_1.0)'
Выбрано libwine.so.1(WINE_1.0) для 'libwine-*'
Выбрано libwine для 'libwine.so.1(WINE_1.0)'
Чтобы выполнить эту операцию необходимы изменения, которые не были запрошены.
Следующие пакеты будут УДАЛЕНЫ:
  libwine wine wine-utils
0 будет обновлено, 0 новых установлено, 3 пакетов будет удалено и 0 будет сохран
ено.
Понадобится получить более 0B архивов.
После распаковки понадобится менее 37,5MB дискового пространства.
Продолжить? [Y/n] 
apt> commit 
Следующие пакеты будут УДАЛЕНЫ:
  libwine wine wine-utils
0 будет обновлено, 0 новых установлено, 3 пакетов будет удалено и 24 не будет об
новлено.
Необходимо получить 0B архивов.
После распаковки будет освобождено 37,5MB дискового пространства.
Продолжить? [Y/n] 
Совершаем изменения...
Preparing...                 ########################################### [100%]
Deregistering binary handler for Windows program (wine services): [ DONE ]
/var/tmp/rpm-tmp.20119: line 7: fg: no job control
error: execution of %postun scriptlet from libwine-20040615-alt2 failed, exit st
atus 1
------- Comment #1 From 2004-06-24 17:53:58 -------
Не воспроизводится: 
(Предположений нет, смотрите что в postun-скрипте вызывает ошибку. Могу только 
предложить проверить rpm -q grep) 
$ sudo apt-get remove libwine-* 
Чтение списков пакетов... Завершено 
Построение дерева зависимостей... Завершено 
Выбрано libwine.so.1 для 'libwine-*' 
Выбрано libwine для 'libwine.so.1' 
Выбрано libwine_unicode.so.1 для 'libwine-*' 
Выбрано libwine для 'libwine_unicode.so.1' 
Выбрано libwine-devel для 'libwine-*' 
Выбрано libwine-twain для 'libwine-*' 
Выбрано libwine-arts для 'libwine-*' 
Выбрано libwine для 'libwine-*' 
Выбрано libwine_unicode.so.1(WINE_1.0) для 'libwine-*' 
Выбрано libwine для 'libwine_unicode.so.1(WINE_1.0)' 
Выбрано libwine.so.1(WINE_1.0) для 'libwine-*' 
Выбрано libwine для 'libwine.so.1(WINE_1.0)' 
Следующие пакеты будут УДАЛЕНЫ: 
  libwine libwine-arts libwine-devel libwine-twain wine wine-utils 
0 будет обновлено, 0 новых установлено, 6 пакетов будет удалено и 3 не будет 
обновлено. 
Необходимо получить 0B архивов. 
После распаковки будет освобождено 48,6MB дискового пространства. 
Продолжить? [Y/n] 
Совершаем изменения... 
Preparing...                 ########################################### 
[100%] 
Deregistering binary handler for Windows program (wine services): [ DONE ] 
Завершено. 
 
------- Comment #2 From 2004-07-26 14:21:46 -------
Got the same bug during a dist-upgrade:
 75: libwine                 ########################################### [ 56%]
/root/tmp/rpm-tmp.73357: line 7: fg: no job control
error: execution of %postun scriptlet from libwine-20040615-alt2 failed, exit
status 1
------- Comment #3 From 2004-07-26 14:44:07 -------
(In reply to comment #2) 
> error: execution of %postun scriptlet from libwine-20040615-alt2 failed,  
Это нормально, в прошлом пакете я допустил ошибку в секции postun, при  
его удалении вот она и вылезла. 
fixed in wine-20040716 
 
------- Comment #4 From 2004-12-04 20:23:28 -------
закрыто